summaryrefslogtreecommitdiff
path: root/indra/viewer_components/updater/scripts/linux/update_install
diff options
context:
space:
mode:
authorMark Palange (Mani) <palange@lindenlab.com>2010-11-18 15:36:11 -0800
committerMark Palange (Mani) <palange@lindenlab.com>2010-11-18 15:36:11 -0800
commit6802775bc4952874e26f320e1ec7ce9f7ed2e2fb (patch)
treefb5b9b355214fe5ab949ff62ad5146d49557c2e0 /indra/viewer_components/updater/scripts/linux/update_install
parent327a922dc9cda771077826ecf7521464ebd281c0 (diff)
parent0e52564f0a36365c2ce5f5263d15778394741fde (diff)
Merge with viewer-development
Diffstat (limited to 'indra/viewer_components/updater/scripts/linux/update_install')
-rw-r--r--indra/viewer_components/updater/scripts/linux/update_install10
1 files changed, 10 insertions, 0 deletions
diff --git a/indra/viewer_components/updater/scripts/linux/update_install b/indra/viewer_components/updater/scripts/linux/update_install
new file mode 100644
index 0000000000..fef5ef7d09
--- /dev/null
+++ b/indra/viewer_components/updater/scripts/linux/update_install
@@ -0,0 +1,10 @@
+#! /bin/bash
+INSTALL_DIR=$(cd "$(dirname $0)/.." ; pwd)
+export LD_LIBRARY_PATH=$INSTALL_DIR/lib
+bin/linux-updater.bin --file "$1" --dest "$INSTALL_DIR" --name "Second Life Viewer 2" --stringsdir "$INSTALL_DIR/skins/default/xui/en" --stringsfile "strings.xml"
+
+if [ $? -ne 0 ]
+ then touch $2
+fi
+
+rm -f $1